Skip to content

Create a shipping rate

POST
/shipping_rates

Authorizations

bearerToken|siteContext
bearerToken

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

TypeHTTP (bearer)
+
siteContext

Identifier of the site context when authenticating with a personal access token.

TypeAPI Key (header: X-Nimbu-Site)
or
siteToken

Site-scoped API token that already encodes the site context.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"name": "string",
"criteria": "string",
"price": 0,
"default": true,
"pickup": true,
"weight_min": 0,
"weight_max": 0,
"order_min": 0,
"order_max": 0,
"restricted": true,
"zipcodes": [
"string"
],
"region_id": "string"
}

Responses

shipping rate created

application/json
JSON
{
"id": "string",
"name": "string",
"default": true,
"pickup": true,
"criteria": "string",
"price": 0,
"weight_min": 0,
"weight_max": 0,
"order_min": 0,
"order_max": 0,
"restricted": true,
"zipcodes": [
"string"
],
"region_id": "string",
"created_at": "string",
"updated_at": "string",
"region": {
}
}

Playground

Authorization
Body

Samples

Part of Nimbu, built by Zenjoy.